Bug 107088 - RHEL4 U2: Serial Attached SCSI (SAS) support (HW)
Summary: RHEL4 U2: Serial Attached SCSI (SAS) support (HW)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact:
URL: IT_27740, IT_28624, IT_28891, IT_70272
Whiteboard: Kernel
Keywords: MoveUpstream
: 108336 (view as bug list)
Depends On:
Blocks: 156323
TreeView+ depends on / blocked
 
Reported: 2003-10-14 21:26 UTC by Susan Denham
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version: RHBA-2005-648
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 16:31:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:648 qe-ready SHIPPED_LIVE hwdata bug fix update 2005-10-05 04:00:00 UTC

Description Susan Denham 2003-10-14 21:26:18 UTC
Dell will have product offerings utiilizing Serial Attached SCSI (SAS)
controllers and will need drivers.  More details TBD.

Comment 2 Susan Denham 2003-11-02 18:19:32 UTC
*** Bug 108336 has been marked as a duplicate of this bug. ***

Comment 3 Susan Denham 2003-11-04 21:17:16 UTC
Need hardware (HBAs and disks). Is code upstream?  Needs to be upstream and
accepted by A2 (date TBD).

Comment 4 Tim Burke 2003-12-16 17:10:07 UTC
RHEL4 feature review meeting - must remain in needinfo.  We have neither
hardware nor code at this point.

Comment 8 Robert Perkins 2004-05-25 14:49:17 UTC
They have missed the deadline for RHEL4.    Systems may work with RHEL4, but we
can't guarantee it at this point, nor will it be a fully-supported configuration.


Comment 12 Robert Perkins 2004-11-01 22:22:13 UTC
Kevin, what's the story on SAS in RHEL4 at this point?

Comment 20 Tom Coughlan 2005-05-04 13:21:42 UTC
Status:

I have received the hardware.

I have also briefly reviewed fusion-3.02.18.tgz posted in IT 68878.

Just so everyone is on the same page, the upstream 2.6 mpt fusion driver is
being split up into separate drivers for SCSI, FC, SAS. This is a large, risky
change that is not appropriate or compatible with the infrastructure in RHEL 4.
So, for this driver, our priority is not to push LSI Logic to "get it accepted
upstream", but rather to push them to provide us with small, safe, minimal,
patches for bug fixes and new hardware support, compatible with the RHEL 4 kernel.  

The good news is that the driver in fusion-3.02.18.tgz file is an update for the
monolithic driver in RHEL 4 (it is not the split-up driver proposed for
upstream). The bad news is that the diff is 15,000 lines of code(!). Does LSI
Logic really beleive that they can update production, enterprise, customers from
the version in RHEL 4 to 3.02.18 without regression? How much testing have they
done on the older hardware?

If we commit to this for U2 it will require a significant amount of time for
code review, testing, and partner testing.


Comment 27 Tom Coughlan 2005-05-11 18:58:42 UTC
Okay, I have reviewed the code and started the testing. This looks good for
inclusion in U2, assuming 1) no serious problems arise, and 2) our partners
follow through on the regression testing they promised. 

Comment 30 Marty Wesley 2005-05-26 06:56:49 UTC
PM ACK for U2.

Comment 38 Tom Coughlan 2005-06-21 21:01:33 UTC
A patch to update the mpt fusion driver to 3.02.18 was added to the U2 code
base, in kernel 2.6.9-11.1.


Comment 48 JoAnne K. Halligan 2005-07-06 16:17:00 UTC
Event posted 07-06-2005 08:13am by Prarit Bhargava 	
Tom,

I've hit another bug that impacts the issue below.  Hopefully I'll have an
answer for you this week.

P. 

Comment 51 Tom Coughlan 2005-07-22 16:18:13 UTC
This was checked in to U2 quite a while ago:

* Thu Jun  2 2005 Dave Jones <davej@redhat.com> [2.6.9-11.1]
- U2 begin.
...
- Update mpt fusion driver, include SAS support. (FZ107088)


Setting to modified. 



Comment 57 Red Hat Bugzilla 2005-10-05 16:31:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-648.html



Note You need to log in before you can comment on or make changes to this bug.